# Class AddDefaultCharsetFilter.ResponseWrapper

java.lang.Object
jakarta.servlet.ServletResponseWrapper
jakarta.servlet.http.HttpServletResponseWrapper
org.apache.catalina.filters.AddDefaultCharsetFilter.ResponseWrapper

All Implemented Interfaces:
  `HttpServletResponse, ServletResponse`

Enclosing class:
  `AddDefaultCharsetFilter`

public static class AddDefaultCharsetFilter.ResponseWrapper extends HttpServletResponseWrapper
Wrapper that adds a character set for text media types if no character set is specified.

## Field Summary

### Fields inherited from interface HttpServletResponse

`SC_ACCEPTED, SC_BAD_GATEWAY, SC_BAD_REQUEST, SC_CONFLICT, SC_CONTINUE, SC_CREATED, SC_EXPECTATION_FAILED, SC_FORBIDDEN, SC_FOUND, SC_GATEWAY_TIMEOUT, SC_GONE, SC_HTTP_VERSION_NOT_SUPPORTED, SC_INTERNAL_SERVER_ERROR, SC_LENGTH_REQUIRED, SC_METHOD_NOT_ALLOWED, SC_MISDIRECTED_REQUEST, SC_MOVED_PERMANENTLY, SC_MOVED_TEMPORARILY, SC_MULTIPLE_CHOICES, SC_NO_CONTENT, SC_NON_AUTHORITATIVE_INFORMATION, SC_NOT_ACCEPTABLE, SC_NOT_FOUND, SC_NOT_IMPLEMENTED, SC_NOT_MODIFIED, SC_OK, SC_PARTIAL_CONTENT, SC_PAYMENT_REQUIRED, SC_PERMANENT_REDIRECT, SC_PRECONDITION_FAILED, SC_PROXY_AUTHENTICATION_REQUIRED, SC_REQUEST_ENTITY_TOO_LARGE, SC_REQUEST_TIMEOUT, SC_REQUEST_URI_TOO_LONG, SC_REQUESTED_RANGE_NOT_SATISFIABLE, SC_RESET_CONTENT, SC_SEE_OTHER, SC_SERVICE_UNAVAILABLE, SC_SWITCHING_PROTOCOLS, SC_TEMPORARY_REDIRECT, SC_UNAUTHORIZED, SC_UNPROCESSABLE_CONTENT, SC_UNSUPPORTED_MEDIA_TYPE, SC_UPGRADE_REQUIRED, SC_USE_PROXY`

## Constructor Summary

Constructors
Constructor
Description
`ResponseWrapper(HttpServletResponse response, String encoding)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addHeader(String name, String value)`
The default behavior of this method is to return addHeader(String name, String value) on the wrapped response object.
`void`
`setCharacterEncoding(String charset)`
The default behavior of this method is to call setCharacterEncoding(String charset) on the wrapped response object.
`void`
`setContentType(String contentType)`
The default behavior of this method is to call setContentType(String type) on the wrapped response object.
`void`
`setHeader(String name, String value)`
The default behavior of this method is to return setHeader(String name, String value) on the wrapped response object.

### Methods inherited from class HttpServletResponseWrapper

`addCookie, addDateHeader, addIntHeader, containsHeader, encodeRedirectURL, encodeURL, getHeader, getHeaderNames, getHeaders, getStatus, getTrailerFields, sendError, sendError, sendRedirect, sendRedirect, sendRedirect, sendRedirect, setDateHeader, setIntHeader, setStatus, setTrailerFields`

### Methods inherited from class ServletResponseWrapper

`flushBuffer, getBufferSize, getCharacterEncoding, getContentType, getLocale, getOutputStream, getResponse, getWriter, isCommitted, isWrapperFor, isWrapperFor, reset, resetBuffer, setBufferSize, setCharacterEncoding, setContentLength, setContentLengthLong, setLocale, setResponse`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface ServletResponse

`flushBuffer, getBufferSize, getCharacterEncoding, getContentType, getLocale, getOutputStream, getWriter, isCommitted, reset, resetBuffer, setBufferSize, setCharacterEncoding, setContentLength, setContentLengthLong, setLocale`

## Constructor Details

### ResponseWrapper

public ResponseWrapper(HttpServletResponse response, String encoding)

## Method Details

### setContentType

public void setContentType(String contentType)
Description copied from class: `jakarta.servlet.ServletResponseWrapper`
The default behavior of this method is to call setContentType(String type) on the wrapped response object.

Specified by:
  `setContentType` in interface `ServletResponse`
Overrides:
  `setContentType` in class `ServletResponseWrapper`
Parameters:
  `contentType` - a `String` specifying the MIME type of the content
See Also:
  - `ServletResponse.setLocale(Locale)`
  - `ServletResponse.setCharacterEncoding(String)`
  - `ServletResponse.getOutputStream()`
  - `ServletResponse.getWriter()`

### setHeader

public void setHeader(String name, String value)
Description copied from class: `jakarta.servlet.http.HttpServletResponseWrapper`
The default behavior of this method is to return setHeader(String name, String value) on the wrapped response object.

Specified by:
  `setHeader` in interface `HttpServletResponse`
Overrides:
  `setHeader` in class `HttpServletResponseWrapper`
Parameters:
  `name` - the name of the header
  `value` - the header value If it contains octet string, it should be encoded according to RFC 2047
See Also:
  - `HttpServletResponse.containsHeader(String)`
  - `HttpServletResponse.addHeader(String, String)`

### addHeader

public void addHeader(String name, String value)
Description copied from class: `jakarta.servlet.http.HttpServletResponseWrapper`
The default behavior of this method is to return addHeader(String name, String value) on the wrapped response object.

Specified by:
  `addHeader` in interface `HttpServletResponse`
Overrides:
  `addHeader` in class `HttpServletResponseWrapper`
Parameters:
  `name` - the name of the header
  `value` - the additional header value If it contains octet string, it should be encoded according to RFC 2047
See Also:
  - `HttpServletResponse.setHeader(String, String)`

### setCharacterEncoding

public void setCharacterEncoding(String charset)
Description copied from class: `jakarta.servlet.ServletResponseWrapper`
The default behavior of this method is to call setCharacterEncoding(String charset) on the wrapped response object.

Specified by:
  `setCharacterEncoding` in interface `ServletResponse`
Overrides:
  `setCharacterEncoding` in class `ServletResponseWrapper`
Parameters:
  `charset` - a String specifying only the character set defined by IANA Character Sets
See Also:
  - #setLocale
  - `ServletResponse.setCharacterEncoding(Charset)`